use super::*;

/// Locations where a machine can be instantiated
#[derive(Debug, Clone)]
pub enum MachineLocationsList {
    Networks {
        networks: WeightedList<NetworkStateId>,
    },
    Blueprints {
        blueprints: WeightedList<BlueprintStateId>,
    },
}
